com.io7m.jtensors.core.unparameterized.matrices

## Interface MatrixReadable4x4DType

- All Superinterfaces:
    MatrixReadableDType
  All Known Subinterfaces:
    Matrix4x4DType, MatrixByteBuffered4x4Type, MatrixStorage4x4Type, PMatrix4x4DType<A,B>, PMatrixByteBuffered4x4Type<A,B>, PMatrixReadable4x4DType<A,B>, PMatrixStorage4x4Type<A,B>
  All Known Implementing Classes:
    Matrix4x4D, MatrixByteBuffered4x4s16, MatrixByteBuffered4x4s32, MatrixByteBuffered4x4s64, PMatrix4x4D, PMatrixByteBuffered4x4s16, PMatrixByteBuffered4x4s32, PMatrixByteBuffered4x4s64

      public interface MatrixReadable4x4DType
      extends MatrixReadableDType

  The type of 4x4 `double`-typed matrices.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `r0c0()`
    `double` | `r0c1()`
    `double` | `r0c2()`
    `double` | `r0c3()`
    `double` | `r1c0()`
    `double` | `r1c1()`
    `double` | `r1c2()`
    `double` | `r1c3()`
    `double` | `r2c0()`
    `double` | `r2c1()`
    `double` | `r2c2()`
    `double` | `r2c3()`
    `double` | `r3c0()`
    `double` | `r3c1()`
    `double` | `r3c2()`
    `double` | `r3c3()`
    `default double` | `rowColumn(int row, int column)`

- - ### Method Detail

    - #### r0c0

          double r0c0()

      Returns:
        The value at row 0 column 0

    - #### r0c1

          double r0c1()

      Returns:
        The value at row 0 column 1

    - #### r0c2

          double r0c2()

      Returns:
        The value at row 0 column 2

    - #### r0c3

          double r0c3()

      Returns:
        The value at row 0 column 3

    - #### r1c0

          double r1c0()

      Returns:
        The value at row 1 column 0

    - #### r1c1

          double r1c1()

      Returns:
        The value at row 1 column 1

    - #### r1c2

          double r1c2()

      Returns:
        The value at row 1 column 2

    - #### r1c3

          double r1c3()

      Returns:
        The value at row 1 column 3

    - #### r2c0

          double r2c0()

      Returns:
        The value at row 2 column 0

    - #### r2c1

          double r2c1()

      Returns:
        The value at row 2 column 1

    - #### r2c2

          double r2c2()

      Returns:
        The value at row 2 column 2

    - #### r2c3

          double r2c3()

      Returns:
        The value at row 2 column 3

    - #### r3c0

          double r3c0()

      Returns:
        The value at row 3 column 0

    - #### r3c1

          double r3c1()

      Returns:
        The value at row 3 column 1

    - #### r3c2

          double r3c2()

      Returns:
        The value at row 3 column 2

    - #### r3c3

          double r3c3()

      Returns:
        The value at row 3 column 3

    - #### rowColumn

          default double rowColumn(int row,
                                   int column)

      Specified by:
        `rowColumn` in interface `MatrixReadableDType`
      Parameters:
        `row` - The row, starting at 0
        `column` - The column, starting at 0
      Returns:
        The value at row `row`, column `column`

Copyright © 2017 <code@io7m.com> http://io7m.com